Attribute table: add option to allow only "correct" name of the head tables

2014-07-04 01:47 AM - Jirko Mattat

Status: Open

Priority: Normal

Assignee:

Category: Attribute table

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 19185

Description

If you create a vector layer in new fixed data on the attribute table, the name of the attribute must be no spaces.

With spaces in attribute names no WFS GetCapabilities on the GeoServer V2.5.1 are shipped.

Please incorrect input intercept.

History

#1 - 2014-07-04 04:04 PM - Jürgen Fischer

- Category set to Attribute table

#2 - 2014-07-06 01:55 PM - Matthias Kuhn

Is this a QGIS desktop attribute table, QGIS desktop field calculator, a QGIS server or a geoserver problem?

#3 - 2014-07-07 02:06 AM - Matthias Kuhn

- Status changed from Open to Feedback

Please specify exactly what you are doing, what's going wrong and what would be the expected result.

#4 - 2014-07-07 04:31 AM - Jirko Mattat

It happens when QGIS desktop attribute table, the create a new vector layer.

In my opinion, it is useful to intercept this because Geoserver 2.4.x/2.5.1 delivers no more WFS with spaces in the name. WMS but coming.

Procedure:

- I create a new vector layer from a shape record.

- Open the attribute table and click Edit

- And add a column

- To place here the name of a text with spaces it comes to the problem of top

at a WFS GetFeature query the error message that the GetCapabilities not well-formed (that is the error message from Geoserver)

#5 - 2014-07-07 09:05 AM - Giovanni Manghi

Jirko Mattat wrote:

It happens when QGIS desktop attribute table, the create a new vector layer.
In my opinion, it is useful to intercept this because Geoserver 2.4.x/2.5.1 delivers no more WFS with spaces in the name. WMS but coming.

it is just a geoserver thing (not accepeting spaces in column names) or is a general issue/rule with all map servers?

#6 - 2014-07-07 11:21 AM - Michael Douchin

It is not a Geoserver only "issue". Spaces are not allowed in MapServer either for layer names :

http://mapserver.org/fr/ogc/wfs_server.html#configuring-your-mapfile-to-serve-wfs-layers

I think it is defined as this in the standard

#7 - 2014-07-07 01:36 PM - Nathan Woodrow

I'm not sure I follow how this is a bug for us. If they don't allow spaces don't  create a field with spaces. There is no need for us to force that

#8 - 2014-07-07 10:33 PM - Jirko Mattat

For me it would have been great had intercepted the QGIS since a lot of time on it to recite a follow-up to find the error. Here now establish a direct

connection between column label and faulty response of a WFS request is not so simple.

The trap could be an improvement of the usability and spare the next a lot of time, which was based on the idea.

#9 - 2015-05-22 12:40 AM - Giovanni Manghi

- Tracker changed from Bug report to Feature request

- Subject changed from attribute table - correct name of the head tables to Attribute table: add option to allow only "correct" name of the head tables

- Status changed from Feedback to Open

- Target version set to Future Release - Lower Priority

#10 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No
